Subject: CVS commit: pkgsrc/security/libgpg-error
To: None <>
From: Kimmo Suominen <>
List: pkgsrc-changes
Date: 12/29/2005 16:09:42
Module Name:	pkgsrc
Committed By:	kim
Date:		Thu Dec 29 16:09:42 UTC 2005

Modified Files:
	pkgsrc/security/libgpg-error: distinfo
Added Files:
	pkgsrc/security/libgpg-error/patches: patch-ae patch-af patch-ag
	    patch-ah patch-ai

Log Message:
Avoid changing FS as it triggers an odd bug on some awk versions, with
incorrect field calculation for the second field if the first field is
numeric and there are only 2 fields total in the input record (line).

The buggy awk was in 2.99.* and early 3.99.*, and identifies itself as
awk version 20030729.  However, not all awk's with this version number
exhibit the problem (so it could be related to a library used by awk).

Recent 3.99.* builds don't have this problem, and the awk versio on
them is also much more recent.

To generate a diff of this commit:
cvs rdiff -r1.4 -r1.5 pkgsrc/security/libgpg-error/distinfo
cvs rdiff -r0 -r1.1 pkgsrc/security/libgpg-error/patches/patch-ae \
    pkgsrc/security/libgpg-error/patches/patch-af \
    pkgsrc/security/libgpg-error/patches/patch-ag \
    pkgsrc/security/libgpg-error/patches/patch-ah \

Please note that diffs are not public domain; they are subject to the
copyright notices on the relevant files.